<?php

namespace Phox\core\admin\panel\wdes_options\pages;

use Phox\core\admin\panel\wdes_options\pages\elements\URL;

class Page_Social_Media extends Abstract_Page{

    public function build_pages(): void
    {
        $this->create_account_section();
    }

    private function create_account_section():void
    {

        $section_account = new Sections(
            section_name: esc_html__('Accounts', 'phox'),
            description: '',
            doc_link: 'social-media-options'
        );

        $url_facebook = new URL(
            id: 'social-media-facebook',
            value: '',
            title: esc_html__('Facebook', 'phox'),
            description: esc_html__('Set a link to a Facebook page.', 'phox')
        );

        $url_twitter = new URL(
            id: 'social-media-twitter',
            value: '',
            title: esc_html__('Twitter | X', 'phox'),
            description: esc_html__('Set a link to a Twitter | X account.', 'phox')
        );

        $url_google_plus = new URL(
            id: 'social-media-whatsapp',
            value: '',
            title: esc_html__('WhatsApp', 'phox'),
            description: esc_html__('Set a link to a WhatsApp account.', 'phox')
        );

        $url_instagram = new URL(
            id: 'social-media-instagram',
            value: '',
            title: esc_html__('Instagram', 'phox'),
            description: esc_html__('Set a link to an Instagram account.', 'phox')
        );

        $url_linkedin = new URL(
            id: 'social-media-linkedin',
            value: '',
            title: esc_html__('LinkedIn', 'phox'),
            description: esc_html__('Set a link to a LinkedIn account.', 'phox')
        );

        $url_telegram = new URL(
            id: 'social-media-telegram',
            value: '',
            title: esc_html__('Telegram', 'phox'),
            description: esc_html__('Set a link to a Telegram account.', 'phox')
        );

        $url_telegram = new URL(
            id: 'social-media-threads',
            value: '',
            title: esc_html__('Threads', 'phox'),
            description: esc_html__('Set a link to a Threads account.', 'phox')
        );

        $url_skype = new URL(
            id: 'social-media-skype',
            value: '',
            title: esc_html__('Skype', 'phox'),
            description: esc_html__('Set a link to a Skype account.', 'phox')
        );

        $url_youtube = new URL(
            id: 'social-media-youtube',
            value: '',
            title: esc_html__('Youtube', 'phox'),
            description: esc_html__('Set a link to a Youtube Channel.', 'phox')
        );

        $url_vimeo = new URL(
            id: 'social-media-vimeo',
            value: '',
            title: esc_html__('Vimeo', 'phox'),
            description: esc_html__('Set a link to a Vimeo Channel.', 'phox')
        );

        $url_pinterest = new URL(
            id: 'social-media-pinterest',
            value: '',
            title: esc_html__('Pinterest', 'phox'),
            description: esc_html__('Set a link to a Pinterest account.', 'phox')
        );

        $url_dribbble = new URL(
            id: 'social-media-dribbble',
            value: '',
            title: esc_html__('Dribbble', 'phox'),
            description: esc_html__('Set a link to a Dribbble account.', 'phox')
        );

        $url_behance = new URL(
            id: 'social-media-behance',
            value: '',
            title: esc_html__('Behance', 'phox'),
            description: esc_html__('Set a link to a Behance account.', 'phox')
        );

        $url_flickr = new URL(
            id: 'social-media-flickr',
            value: '',
            title: esc_html__('Flickr', 'phox'),
            description: esc_html__('Set a link to a Flickr account.', 'phox')
        );

        $url_tumblr = new URL(
            id: 'social-media-tumblr',
            value: '',
            title: esc_html__('Tumblr', 'phox'),
            description: esc_html__('Set a link to a Tumblr account.', 'phox')
        );

        $url_discord = new URL(
            id: 'social-media-discord',
            value: '',
            title: esc_html__('Discord', 'phox'),
            description: esc_html__('Set a link to a Discord account.', 'phox')
        );

        $this->add_section_collection($section_account, [
            $url_facebook,
            $url_twitter,
            $url_google_plus,
            $url_skype,
            $url_youtube,
            $url_vimeo,
            $url_instagram,
            $url_pinterest,
            $url_dribbble,
            $url_behance,
            $url_flickr,
            $url_tumblr,
            $url_linkedin,
            $url_telegram,
            $url_discord,
        ]);


    }


}